package com.cusc.nirvana.user.rnr.fp.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dto.FpChangeTboxDTO;
import com.cusc.nirvana.user.rnr.fp.dto.FpDirectTboxChangeDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCardInfoDTO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrRelationDTO;

import java.util.List;

public interface IFpChangeTboxService {
    Response submit(RnrRelationDTO relationDTO);

    Response unbindCardList(List<MgRnrCardInfoDTO> cardInfoDTOList);

    Response queryResult();


    Response directChangeBox(FpDirectTboxChangeDTO tboxChangeDTO);

    Response checkNewIccid(List<String> newCards);

    Response<Boolean> bindCardList(List<MgRnrCardInfoDTO> cardInfoDTOList);
}
